### djop

Image processing utility.

##### Command Line

Usage

- djop (input) (output) [option]...

Arguments

- input - Input image.
- output - Output image.

Transform Options

- -crop (x) (y) (width) (height) - Crop image.
- -mirror (value) - Mirror image. Values: None, Horizontal, Vertical, Both.
- -rotate90 (value) - Rotate image 90 degrees. Values: 0, 90, 180, 270.
- -scale (width) (height) - Scale image.
- -scaleFilter (value) (value) - Scale filter. Values: Auto, Box, Triangle, Bell, B-Spline, Lanczos3, Cubic, Mitchell. Default: Auto Auto.
- -scaleEdge (value) (value) - Scale edge. Values: Clip, Clamp, Mirror. Default: Mirror Mirror.

Load Options

- -load, -l (plugin) - Specify image load plugin.
- -loadAttr, -la (plugin) (attr) (value) - Set an image load attribute.
- -loadFormat, -lf (value) - Convert pixel format. Values: L, LA, RGB, RGBA.
- -loadType, -lt (value) - Convert pixel type. Values: U8, U16, F32.
- -proxy, -p (value) - Proxy scale.

Save Options

- -save, -s (plugin) - Specify image save plugin.
- -saveAttr, -sa (plugin) (attr) (value) - Set an image save attribute.
- -saveFormat, -sf (value) - Convert pixel format. Values: L, LA, RGB, RGBA.
- -saveType, -st (value) - Convert pixel type. Values: U8, U16, F32.
- -time (start) (end) - Set start and end frames.
- -speed (value) - Set speed in frames per second.

General Options

- -silent - Do not display messages.
- -about - About message.
- -help, -h - Help message.

##### Examples

Copy an image:

`> djop input.sgi output.tga`

Copy an image sequence:

`> djop input.1-100.sgi output.1-100.tga`

Renumber an image sequence:

`> djop input.1-100.sgi output.0100-0200.sgi`

Convert an image:

`> djop input.sgi output.sgi -saveFormat rgb -saveType u16`

Scale an image:

`> djop input.sgi output.sgi -scale 2048 1556`

Save the current video lookup table to an editable ASCII file:

`> djop $DISPLAY -load vlut tmp.ppm -saveAttr ppm mode ascii -rotate90 90`

Load the current video lookup table from the the codevious example:

`> djop tmp.ppm $DISPLAY -save vlut -rotate90 270`